# Create region

Creates region.

You can use a region for managing your regional restrictions.

Endpoint: POST /v2/project/{project_id}/admin/region
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com//projects/.
    Example: 44056

## Request fields (application/json):

  - `countries` (array, required)
    List of countries to be added in a region.
Two-letter uppercase country code per [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
Check the documentation for detailed information about [countries supported by Xsolla](https://developers.xsolla.com/doc/shop-builder/references/supported-countries/).
Example: ["JP", "CN", "VN"]
    Example: ["JP","CN","VN"]

  - `name` (object, required)
    Name of region. Should contain key/value pairs where key is a locale with the "^[a-z]{2}-[A-Z]{2}$" format, the value is string.
    Example: {"en-US":"Asia","de-DE":"Asien"}

## Response 201 fields (application/json):

  - `region_id` (integer)
    Region ID. Unique region identifier within the project.

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"


